Package org.eclipse.team.core.synchronize

## Class FastSyncInfoFilter

- java.lang.Object
- - org.eclipse.team.core.synchronize.SyncInfoFilter
  - - org.eclipse.team.core.synchronize.FastSyncInfoFilter

Direct Known Subclasses:
  `FastSyncInfoFilter.AutomergableFilter`, `FastSyncInfoFilter.CompoundSyncInfoFilter`, `FastSyncInfoFilter.PseudoConflictFilter`, `FastSyncInfoFilter.SyncInfoChangeTypeFilter`, `FastSyncInfoFilter.SyncInfoDirectionFilter`

    public class FastSyncInfoFilter
    extends SyncInfoFilter

A specialized `SyncInfoFilter` that does not require a progress monitor. This enables these filters to be used when determining menu enablement or other operations that must be short running.

Since:
  3.0
See Also:
  `SyncInfo`, `SyncInfoSet`, `SyncInfoFilter`

### Nested Class Summary

Nested Classes
`static class` `FastSyncInfoFilter.AndSyncInfoFilter` Selects `SyncInfo` which match all child filters.
`static class` `FastSyncInfoFilter.AutomergableFilter` Selects `SyncInfo` instances that are auto-mergable.
`static class` `FastSyncInfoFilter.CompoundSyncInfoFilter` An abstract class which contains a set of `FastSyncInfoFilter` instances.
`static class` `FastSyncInfoFilter.OrSyncInfoFilter` Selects `SyncInfo` that match any of the child filters.
`static class` `FastSyncInfoFilter.PseudoConflictFilter` Selects `SyncInfo` instances that are pseudo-conflicts.
`static class` `FastSyncInfoFilter.SyncInfoChangeTypeFilter` Selects `SyncInfo` whose change type match those of the filter.
`static class` `FastSyncInfoFilter.SyncInfoDirectionFilter` Selects `SyncInfo` whose change direction match those of the filter.

### Nested classes/interfaces inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter

`SyncInfoFilter.ContentComparisonSyncInfoFilter`

### Constructor Summary

Constructors
`FastSyncInfoFilter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FastSyncInfoFilter` `getDirectionAndChangeFilter​(int direction, int change)` Selects `SyncInfo` that match the given change type and direction.
`boolean` `select​(SyncInfo info)` Return whether the provided `SyncInfo` matches the filter.
`boolean` `select​(SyncInfo info, IProgressMonitor monitor)` Return `true` if the provided `SyncInfo` matches the filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastSyncInfoFilter

    public FastSyncInfoFilter()

### Method Detail

#### getDirectionAndChangeFilter

    public static FastSyncInfoFilter getDirectionAndChangeFilter​(int direction,
                                                                 int change)

Selects `SyncInfo` that match the given change type and direction.

Parameters:
  `direction` - the change direction (`SyncInfo.OUTGOING`, `SyncInfo.INCOMING` and `SyncInfo.CONFLICTING`) that this filter matches
  `change` - the change type (`SyncInfo.ADDITION`, `SyncInfo.DELETION` and `SyncInfo.CHANGE`) that this filter matches
Returns:
  a `FastSyncInfoFilter` that selects `SyncInfo` that match the given change type and direction.

#### select

    public boolean select​(SyncInfo info)

Return whether the provided `SyncInfo` matches the filter. The default behavior it to include resources whose syncKind is non-zero.

Parameters:
  `info` - the `SyncInfo` being tested
Returns:
  `true` if the `SyncInfo` matches the filter

#### select

    public final boolean select​(SyncInfo info,
                                IProgressMonitor monitor)

Description copied from class: `SyncInfoFilter`
Return `true` if the provided `SyncInfo` matches the filter.

Specified by:
  `select` in class `SyncInfoFilter`
Parameters:
  `info` - the `SyncInfo` to be tested
  `monitor` - a progress monitor
Returns:
  `true` if the `SyncInfo` matches the filter